# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorlib: %global perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)}

Name:		perl-Module-Load-Conditional
Version:	0.46
Release:	1.%{__distinit}%{__distvers}
Summary:	Looking up module information / loading at runtime
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Module-Load-Conditional/
Source0:	http://search.cpan.org/CPAN/authors/id/B/BI/BINGOS/Module-Load-Conditional-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Locale::Maketext::Simple)
BuildRequires:	perl(Module::Load)
BuildRequires:	perl(Params::Check)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(version) >= 0.69
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Module::Load::Conditional provides simple ways to query and possibly load
any of the modules you have installed on your system during runtime.

%prep
%setup -q -n Module-Load-Conditional-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} \; 2>/dev/null
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES README
%{perl_vendorlib}/Module/
%{_mandir}/man3/Module::Load::Conditional.3pm*

%changelog
* Thu Sep  8 2011 Paul Howarth <paul@city-fan.org> 0.46-1
- Update to 0.46
  - Use || instead of "or" (Perl RT#78708)

* Fri Jul  1 2011 Paul Howarth <paul@city-fan.org> 0.44-2
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Thu Feb 10 2011 Paul Howarth <paul@city-fan.org> 0.44-1
- Update to 0.44
  - Fix an edge-case with obj/ref @INC entries (CPAN RT#60916)
  - POD clean-up (CPAN RT#65601)

* Mon Jan 10 2011 Paul Howarth <paul@city-fan.org> 0.40-1
- Update to 0.40 (fixes for bleadperl)

* Wed Dec  8 2010 Paul Howarth <paul@city-fan.org> 0.38-1
- Import from Fedora
- Update to 0.38
- This release by BINGOS -> update source URL

* Tue Sep 18 2007 Steven Pritchard <steve@kspei.com> 0.18-1
- Update to 0.18
- BR Test::More

* Wed Apr 18 2007 Steven Pritchard <steve@kspei.com> 0.16-2
- BR ExtUtils::MakeMaker

* Sat Jan 27 2007 Steven Pritchard <steve@kspei.com> 0.16-1
- Update to 0.16
- BR: version

* Sat Jan 06 2007 Steven Pritchard <steve@kspei.com> 0.14-1
- Update to 0.14
- Use fixperms macro instead of our own chmod incantation

* Sun Sep 17 2006 Steven Pritchard <steve@kspei.com> 0.12-2
- Rebuild

* Fri Aug 18 2006 Steven Pritchard <steve@kspei.com> 0.12-1
- Update to 0.12
- Add CHANGES to docs

* Sat Aug 05 2006 Steven Pritchard <steve@kspei.com> 0.10-1
- Update to 0.10

* Thu Mar 23 2006 Steven Pritchard <steve@kspei.com> 0.08-1
- Specfile autogenerated by cpanspec 1.62
- Fix License
- Drop explicit Requires
